Expenses
Get Hris Expense Categories
Lists org expense categories, seeding the default set on first fetch.
POSThttps://api.toku.com/hris/get-hris-expense-categories
Not available to API keys yet. It will need expenses:write.
curl --request POST \
--url 'https://api.toku.com/hris/get-hris-expense-categories' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"includeInactive": true
}'200 response
[
{
"hrisExpenseCategoryID": "string",
"name": "string",
"isActive": true,
"createdAt": "string",
"updatedAt": "string"
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
includeInactivebooleanResponse
200Successful response
hrisExpenseCategoryIDstringrequirednamestringrequiredisActivebooleanrequiredcreatedAtstringrequiredupdatedAtstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits